| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csPathsList::Entry Struct Reference

This structure contains information about a plugin path. More...

`#include <csutil/syspath.h>`

List of all members.

## Public Member Functions
| Entry (const Entry &src)
| Entry (const char *path, const char *type, bool recursive=false)
| Entry ()
## Public Attributes
csString | path
| The actual path.
bool | scanRecursive
| Whether this path should be recursively scanned for plugins.
csString | type
| "Type" of the directory (e.g. app, crystal ...)

## Detailed Description

This structure contains information about a plugin path.

Definition at line 68 of file syspath.h.

## Member Data Documentation

csString csPathsList::Entry::path

The actual path.

Definition at line 73 of file syspath.h.

Referenced by Entry().

bool csPathsList::Entry::scanRecursive

Whether this path should be recursively scanned for plugins.

Definition at line 77 of file syspath.h.

Referenced by Entry().

csString csPathsList::Entry::type

"Type" of the directory (e.g. app, crystal ...)

Definition at line 75 of file syspath.h.

Referenced by Entry().

The documentation for this struct was generated from the following file:

- csutil/syspath.h